Copy one week's roster into another as a draft
curl --request POST \
--url https://app.ontime.hosai.app/api/rosters/copy-week \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fromWeekStart": "<string>",
"toWeekStart": "<string>"
}
'import requests
url = "https://app.ontime.hosai.app/api/rosters/copy-week"
payload = {
"fromWeekStart": "<string>",
"toWeekStart": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fromWeekStart: '<string>', toWeekStart: '<string>'})
};
fetch('https://app.ontime.hosai.app/api/rosters/copy-week', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 0
}Rosters
Copy one week's roster into another as a draft
Copy one week’s roster into another as a draft
POST
/
api
/
rosters
/
copy-week
Copy one week's roster into another as a draft
Authorizations
Issue keys in Settings → API. Send them as Authorization: Bearer ont_… (an X-Api-Key: ont_… header is also accepted). Session-cookie routes are used by the OnTime web apps and are shown for completeness.
Body
application/json
Response
200 - application/json
Success
Required range:
-9007199254740991 <= x <= 9007199254740991⌘I